diff --git a/fish/reopen.c b/fish/reopen.c
index c455a91..56c189e 100644
--- a/fish/reopen.c
+++ b/fish/reopen.c
@@ -13,7 +13,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  */
 
 #include <config.h>
diff --git a/fish/setenv.c b/fish/setenv.c
index c9a0013..c2af863 100644
--- a/fish/setenv.c
+++ b/fish/setenv.c
@@ -13,7 +13,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  */
 
 #include <config.h>
diff --git a/fish/supported.c b/fish/supported.c
index 9502ad3..7b9e085 100644
--- a/fish/supported.c
+++ b/fish/supported.c
@@ -13,7 +13,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  */
 
 #include <config.h>
diff --git a/fish/tilde.c b/fish/tilde.c
index ee87ce1..8ee1437 100644
--- a/fish/tilde.c
+++ b/fish/tilde.c
@@ -13,7 +13,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  */
 
 #include <config.h>
diff --git a/fish/time.c b/fish/time.c
index 3a46049..246a580 100644
--- a/fish/time.c
+++ b/fish/time.c
@@ -13,7 +13,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  */
 
 #include <config.h>
diff --git a/fish/virt-copy-in b/fish/virt-copy-in
index b63b24e..76ff57f 100755
--- a/fish/virt-copy-in
+++ b/fish/virt-copy-in
@@ -14,6 +14,6 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
 exec guestfish --rw -i copy-in "$@"
diff --git a/fish/virt-copy-in.pod b/fish/virt-copy-in.pod
index f7e63fe..dc3c825 100644
--- a/fish/virt-copy-in.pod
+++ b/fish/virt-copy-in.pod
@@ -78,4 +78,4 @@ GNU General Public License for more details.
 
 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
-Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
diff --git a/fish/virt-copy-out b/fish/virt-copy-out
index c617186..20475ef 100755
--- a/fish/virt-copy-out
+++ b/fish/virt-copy-out
@@ -14,6 +14,6 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
 exec guestfish --ro -i copy-out "$@"
diff --git a/fish/virt-copy-out.pod b/fish/virt-copy-out.pod
index 4bfc32d..3f2d900 100644
--- a/fish/virt-copy-out.pod
+++ b/fish/virt-copy-out.pod
@@ -67,4 +67,4 @@ GNU General Public License for more details.
 
 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
-Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
diff --git a/fish/virt-tar-in b/fish/virt-tar-in
index 15d9015..1501b38 100755
--- a/fish/virt-tar-in
+++ b/fish/virt-tar-in
@@ -14,6 +14,6 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
 exec guestfish --rw -i tar-in "$@"
diff --git a/fish/virt-tar-in.pod b/fish/virt-tar-in.pod
index e0eec1b..8ec3d36 100644
--- a/fish/virt-tar-in.pod
+++ b/fish/virt-tar-in.pod
@@ -76,4 +76,4 @@ GNU General Public License for more details.
 
 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
-Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
diff --git a/fish/virt-tar-out b/fish/virt-tar-out
index ea4e516..4d30de4 100755
--- a/fish/virt-tar-out
+++ b/fish/virt-tar-out
@@ -14,6 +14,6 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
 exec guestfish --ro -i tar-out "$@"
diff --git a/fish/virt-tar-out.pod b/fish/virt-tar-out.pod
index df01a98..d0c50a0 100644
--- a/fish/virt-tar-out.pod
+++ b/fish/virt-tar-out.pod
@@ -69,4 +69,4 @@ GNU General Public License for more details.
 
 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
-Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
diff --git a/fish/virt.c b/fish/virt.c
index 8e8720f..083ea65 100644
--- a/fish/virt.c
+++ b/fish/virt.c
@@ -13,7 +13,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  */
 
 #include <config.h>
diff --git a/fuse/Makefile.am b/fuse/Makefile.am
index 10bbc9d..16c93db 100644
--- a/fuse/Makefile.am
+++ b/fuse/Makefile.am
@@ -13,7 +13,7 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
 include $(top_srcdir)/subdir-rules.mk
 
diff --git a/fuse/dircache.c b/fuse/dircache.c
index 8cff0d3..771e313 100644
--- a/fuse/dircache.c
+++ b/fuse/dircache.c
@@ -13,7 +13,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  *
  * Derived from the example program 'fusexmp.c':
  * Copyright (C) 2001-2007  Miklos Szeredi <miklos@szeredi.hu>
diff --git a/fuse/dircache.h b/fuse/dircache.h
index 748d17c..76ee930 100644
--- a/fuse/dircache.h
+++ b/fuse/dircache.h
@@ -13,7 +13,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  *
  * Derived from the example program 'fusexmp.c':
  * Copyright (C) 2001-2007  Miklos Szeredi <miklos@szeredi.hu>
diff --git a/fuse/guestmount.c b/fuse/guestmount.c
index 67a746f..bfd8174 100644
--- a/fuse/guestmount.c
+++ b/fuse/guestmount.c
@@ -13,7 +13,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  *
  * Derived from the example program 'fusexmp.c':
  * Copyright (C) 2001-2007  Miklos Szeredi <miklos@szeredi.hu>
diff --git a/fuse/guestmount.h b/fuse/guestmount.h
index 07cd42e..81d026d 100644
--- a/fuse/guestmount.h
+++ b/fuse/guestmount.h
@@ -13,7 +13,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  *
  * Derived from the example program 'fusexmp.c':
  * Copyright (C) 2001-2007  Miklos Szeredi <miklos@szeredi.hu>
diff --git a/fuse/guestmount.pod b/fuse/guestmount.pod
index 40a7698..c089706 100644
--- a/fuse/guestmount.pod
+++ b/fuse/guestmount.pod
@@ -346,4 +346,4 @@ GNU General Public License for more details.
 
 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
-Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
diff --git a/fuse/test-fuse.sh b/fuse/test-fuse.sh
index 27e6296..1accd89 100755
--- a/fuse/test-fuse.sh
+++ b/fuse/test-fuse.sh
@@ -14,7 +14,7 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
 unset CDPATH
 set -e
diff --git a/generator/Makefile.am b/generator/Makefile.am
index 44c0594..d6120e3 100644
--- a/generator/Makefile.am
+++ b/generator/Makefile.am
@@ -13,7 +13,7 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
 SOURCES = \
 	generator_types.ml \
diff --git a/haskell/Guestfs005Load.hs b/haskell/Guestfs005Load.hs
index c7cb167..f119c7f 100644
--- a/haskell/Guestfs005Load.hs
+++ b/haskell/Guestfs005Load.hs
@@ -13,7 +13,7 @@
 
    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
-   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 -}
 
 module Guestfs005Load where
diff --git a/haskell/Guestfs010Basic.hs b/haskell/Guestfs010Basic.hs
index f59465b..2889e28 100644
--- a/haskell/Guestfs010Basic.hs
+++ b/haskell/Guestfs010Basic.hs
@@ -13,7 +13,7 @@
 
    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
-   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 -}
 
 module Guestfs010Basic where
diff --git a/haskell/Makefile.am b/haskell/Makefile.am
index d8a06f3..1fa8c0b 100644
--- a/haskell/Makefile.am
+++ b/haskell/Makefile.am
@@ -13,7 +13,7 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
 include $(top_srcdir)/subdir-rules.mk
 
diff --git a/haskell/run-bindtests b/haskell/run-bindtests
index 7b45145..3b17403 100755
--- a/haskell/run-bindtests
+++ b/haskell/run-bindtests
@@ -14,7 +14,7 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
 set -e
 
diff --git a/images/Makefile.am b/images/Makefile.am
index 90c4ce3..1cae8bf 100644
--- a/images/Makefile.am
+++ b/images/Makefile.am
@@ -13,7 +13,7 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
 include $(top_srcdir)/subdir-rules.mk
 
diff --git a/images/guest-aux/make-debian-img.sh b/images/guest-aux/make-debian-img.sh
index 4b0490d..ade2331 100755
--- a/images/guest-aux/make-debian-img.sh
+++ b/images/guest-aux/make-debian-img.sh
@@ -14,7 +14,7 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
 # Make a Debian image which is enough to fool the inspection heuristics.
 
diff --git a/images/guest-aux/make-fedora-img.sh b/images/guest-aux/make-fedora-img.sh
index 3d6c471..b4c07e9 100755
--- a/images/guest-aux/make-fedora-img.sh
+++ b/images/guest-aux/make-fedora-img.sh
@@ -14,7 +14,7 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
 # Make a standard test image which is used by all the tools test
 # scripts.  This test image is supposed to look like a Fedora
diff --git a/images/guest-aux/make-ubuntu-img.sh b/images/guest-aux/make-ubuntu-img.sh
index c48fd5d..0c4d60a 100755
--- a/images/guest-aux/make-ubuntu-img.sh
+++ b/images/guest-aux/make-ubuntu-img.sh
@@ -14,7 +14,7 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
 # Make an Ubuntu image which is enough to fool the inspection heuristics.
 
diff --git a/images/guest-aux/make-windows-img.sh b/images/guest-aux/make-windows-img.sh
index 9e2152d..ec6aa47 100755
--- a/images/guest-aux/make-windows-img.sh
+++ b/images/guest-aux/make-windows-img.sh
@@ -14,7 +14,7 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
 # Make a Windows image which is enough to fool the inspection heuristics.
 
diff --git a/inspector/Makefile.am b/inspector/Makefile.am
index 2389dbd..338afe3 100644
--- a/inspector/Makefile.am
+++ b/inspector/Makefile.am
@@ -13,7 +13,7 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
 include $(top_srcdir)/subdir-rules.mk
 
diff --git a/inspector/virt-inspector.c b/inspector/virt-inspector.c
index c505fa4..09621ab 100644
--- a/inspector/virt-inspector.c
+++ b/inspector/virt-inspector.c
@@ -13,7 +13,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  */
 
 #include <config.h>
diff --git a/inspector/virt-inspector.pod b/inspector/virt-inspector.pod
index 9a43e94..04e421d 100755
--- a/inspector/virt-inspector.pod
+++ b/inspector/virt-inspector.pod
@@ -431,4 +431,4 @@ GNU General Public License for more details.
 
 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
-Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
diff --git a/java/Makefile.am b/java/Makefile.am
index 6f2af11..7686047 100644
--- a/java/Makefile.am
+++ b/java/Makefile.am
@@ -13,7 +13,7 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
 include $(top_srcdir)/subdir-rules.mk
 
diff --git a/java/examples/Makefile.am b/java/examples/Makefile.am
index 60fd958..80c2cb3 100644
--- a/java/examples/Makefile.am
+++ b/java/examples/Makefile.am
@@ -13,7 +13,7 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
 EXTRA_DIST = \
 	LICENSE \
diff --git a/java/run-bindtests b/java/run-bindtests
index 7e6eb7f..4fc147a 100755
--- a/java/run-bindtests
+++ b/java/run-bindtests
@@ -14,7 +14,7 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
 set -e
 
diff --git a/java/run-java-tests b/java/run-java-tests
index a9fe957..33bb6ca 100755
--- a/java/run-java-tests
+++ b/java/run-java-tests
@@ -14,7 +14,7 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
 set -e
 
diff --git a/libtool-kill-dependency_libs.sh b/libtool-kill-dependency_libs.sh
index 9f17038..3d5f318 100755
--- a/libtool-kill-dependency_libs.sh
+++ b/libtool-kill-dependency_libs.sh
@@ -14,7 +14,7 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
 # Run libtool as normal, then kill the dependency_libs line in the .la
 # file.  Otherwise libtool will add DT_NEEDED entries for dependencies
diff --git a/ocaml/Makefile.am b/ocaml/Makefile.am
index 28c13c5..e2fdf43 100644
--- a/ocaml/Makefile.am
+++ b/ocaml/Makefile.am
@@ -13,7 +13,7 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
 include $(top_srcdir)/subdir-rules.mk
 
diff --git a/ocaml/examples/Makefile.am b/ocaml/examples/Makefile.am
index 43e579c..da9b8c0 100644
--- a/ocaml/examples/Makefile.am
+++ b/ocaml/examples/Makefile.am
@@ -13,7 +13,7 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
 EXTRA_DIST = \
 	LICENSE \
diff --git a/ocaml/run-bindtests b/ocaml/run-bindtests
index d9a3047..af6fc14 100755
--- a/ocaml/run-bindtests
+++ b/ocaml/run-bindtests
@@ -14,7 +14,7 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
 set -e
 
diff --git a/ocaml/t/guestfs_005_load.ml b/ocaml/t/guestfs_005_load.ml
index 8b4492a..de67091 100644
--- a/ocaml/t/guestfs_005_load.ml
+++ b/ocaml/t/guestfs_005_load.ml
@@ -13,7 +13,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  *)
 
 let _ = Guestfs.create
diff --git a/ocaml/t/guestfs_010_basic.ml b/ocaml/t/guestfs_010_basic.ml
index 6fa19e4..49006f7 100644
--- a/ocaml/t/guestfs_010_basic.ml
+++ b/ocaml/t/guestfs_010_basic.ml
@@ -13,7 +13,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  *)
 
 (* Test basic functionality. *)
diff --git a/ocaml/t/guestfs_070_threads.ml b/ocaml/t/guestfs_070_threads.ml
index e13ac7b..414b023 100644
--- a/ocaml/t/guestfs_070_threads.ml
+++ b/ocaml/t/guestfs_070_threads.ml
@@ -13,7 +13,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  *)
 
 open Unix
diff --git a/ocaml/t/guestfs_080_optargs.ml b/ocaml/t/guestfs_080_optargs.ml
index 2b37784..a43a83e 100644
--- a/ocaml/t/guestfs_080_optargs.ml
+++ b/ocaml/t/guestfs_080_optargs.ml
@@ -13,7 +13,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  *)
 
 open Unix
diff --git a/ocaml/t/guestfs_400_events.ml b/ocaml/t/guestfs_400_events.ml
index 7bd7715..66dc3c3 100644
--- a/ocaml/t/guestfs_400_events.ml
+++ b/ocaml/t/guestfs_400_events.ml
@@ -13,7 +13,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  *)
 
 open Printf
diff --git a/ocaml/t/guestfs_400_progress.ml b/ocaml/t/guestfs_400_progress.ml
index f5b4219..d49ddff 100644
--- a/ocaml/t/guestfs_400_progress.ml
+++ b/ocaml/t/guestfs_400_progress.ml
@@ -13,7 +13,7 @@
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  *)
 
 module G = Guestfs
diff --git a/perl/Makefile.PL.in b/perl/Makefile.PL.in
index 62cd04b..349adbb 100644
--- a/perl/Makefile.PL.in
+++ b/perl/Makefile.PL.in
@@ -13,7 +13,7 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
 use Config;
 use ExtUtils::MakeMaker;
diff --git a/perl/Makefile.am b/perl/Makefile.am
index d8167d1..eff0059 100644
--- a/perl/Makefile.am
+++ b/perl/Makefile.am
@@ -13,7 +13,7 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
 include $(top_srcdir)/subdir-rules.mk
 
diff --git a/perl/examples/Makefile.am b/perl/examples/Makefile.am
index 387cdf1..472f0b0 100644
--- a/perl/examples/Makefile.am
+++ b/perl/examples/Makefile.am
@@ -13,7 +13,7 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
 EXTRA_DIST = \
 	LICENSE \
diff --git a/perl/run-bindtests b/perl/run-bindtests
index f9cf231..5a53ab6 100755
--- a/perl/run-bindtests
+++ b/perl/run-bindtests
@@ -14,7 +14,7 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
 set -e
 
diff --git a/perl/run-perl-tests b/perl/run-perl-tests
index c290742..0e7e9ab 100755
--- a/perl/run-perl-tests
+++ b/perl/run-perl-tests
@@ -14,7 +14,7 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
 set -e
 
diff --git a/perl/t/005-pod.t b/perl/t/005-pod.t
index 54025f1..e53caaf 100644
--- a/perl/t/005-pod.t
+++ b/perl/t/005-pod.t
@@ -13,7 +13,7 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
 use Test::More;
 use strict;
diff --git a/perl/t/006-pod-coverage.t b/perl/t/006-pod-coverage.t
index 4c8c4ca..65bb4c2 100644
--- a/perl/t/006-pod-coverage.t
+++ b/perl/t/006-pod-coverage.t
@@ -13,7 +13,7 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
 use Test::More;
 use strict;
diff --git a/perl/t/010-load.t b/perl/t/010-load.t
index 05a3995..e279b2a 100644
--- a/perl/t/010-load.t
+++ b/perl/t/010-load.t
@@ -13,7 +13,7 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
 use strict;
 use warnings;
diff --git a/perl/t/020-create.t b/perl/t/020-create.t
index 7bcd76e..16a0375 100644
--- a/perl/t/020-create.t
+++ b/perl/t/020-create.t
@@ -13,7 +13,7 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
 use strict;
 use warnings;
diff --git a/perl/t/030-config.t b/perl/t/030-config.t
index 12f4531..5f8e04a 100644
--- a/perl/t/030-config.t
+++ b/perl/t/030-config.t
@@ -13,7 +13,7 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
 use strict;
 use warnings;
diff --git a/perl/t/050-lvcreate.t b/perl/t/050-lvcreate.t
index a8f3e7b..0079221 100644
--- a/perl/t/050-lvcreate.t
+++ b/perl/t/050-lvcreate.t
@@ -13,7 +13,7 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
 use strict;
 use warnings;
diff --git a/perl/t/060-readdir.t b/perl/t/060-readdir.t
index dc8278b..e8fe151 100644
--- a/perl/t/060-readdir.t
+++ b/perl/t/060-readdir.t
@@ -13,7 +13,7 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
 use strict;
 use warnings;
diff --git a/perl/t/070-optargs.t b/perl/t/070-optargs.t
index 8187395..273a7fa 100644
--- a/perl/t/070-optargs.t
+++ b/perl/t/070-optargs.t
@@ -13,7 +13,7 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
 use strict;
 use warnings;
diff --git a/perl/t/400-events.t b/perl/t/400-events.t
index bea4a52..dd31966 100644
--- a/perl/t/400-events.t
+++ b/perl/t/400-events.t
@@ -13,7 +13,7 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
 use strict;
 use warnings;
diff --git a/perl/t/500-lib-load.t b/perl/t/500-lib-load.t
index 7ce28c6..3b5b054 100644
--- a/perl/t/500-lib-load.t
+++ b/perl/t/500-lib-load.t
@@ -13,7 +13,7 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
 use strict;
 use warnings;
diff --git a/perl/t/800-explicit-close.t b/perl/t/800-explicit-close.t
index 8185168..79fd9fb 100644
--- a/perl/t/800-explicit-close.t
+++ b/perl/t/800-explicit-close.t
@@ -13,7 +13,7 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
 # Test implicit vs explicit closes of the handle (RHBZ#602592).
 
diff --git a/perl/t/810-mkdir-eexist.t b/perl/t/810-mkdir-eexist.t
index 86b4e0e..a059ee4 100644
--- a/perl/t/810-mkdir-eexist.t
+++ b/perl/t/810-mkdir-eexist.t
@@ -13,7 +13,7 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 
 # Test $g->last_errno (RHBZ#672491).
 
